# LIST STORES

## Syntax

```sql
[ LIST | SHOW ] STORES;
```

## Description

This provides a list of [stores](/overview/core-concepts/store.md) to which the user has access.

Stores are listed only if the current role has USAGE privileges.

## Examples

#### List stores

The following provides a list of stores to which the current user has access:

```sh
main_db.public/pubmsk# LIST STORES;
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
|  Name         |  Type      |  Access Region |  State |  Is Default |  Owner   |  Created At                   |  Updated At                   |
+===============+============+================+========+=============+==========+===============================+===============================+
| sf_east_2     | Snowflake  | AWS us-east-1  | ready  | false       | sysadmin | 2024-06-12 22:39:03 +0000 UTC | 2024-06-12 22:39:03 +0000 UTC |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| pubmsk        | Kafka      | AWS us-east-1  | ready  | true        | sysadmin | 2023-08-09 21:27:32 +0000 UTC | 2024-05-24 20:53:58 +0000 UTC |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| kafka_with_sr | Kafka      | AWS us-east-1  | ready  | false       | sysadmin | 2024-06-11 19:44:06 +0000 UTC | 2024-06-11 19:44:06 +0000 UTC |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| kafka_pub     | Kafka      | AWS us-east-1  | ready  | false       | sysadmin | 2024-05-14 21:05:34 +0000 UTC | 2024-05-14 21:05:34 +0000 UTC |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| kafka_iam     | Kafka      | AWS us-east-1  | ready  | false       | sysadmin | 2024-05-21 16:30:39 +0000 UTC | 2024-05-21 16:30:39 +0000 UTC |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| dbx_east_1    | Databricks | AWS us-east-1  | ready  | false       | sysadmin | 2024-02-09 22:28:30 +0000 UTC | 2024-02-09 22:28:30 +0000 UTC |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| oracle_store  | Oracle     | AWS us-east-1  | ready  | false       | sysadmin | 2026-04-15 17:21:48 +0000 UTC | 2026-04-15 17:21:48 +0000 UTC |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| cc_store      | Confluent  | AWS us-east-1  | ready  | false       | sysadmin | 2024-05-22 21:02:38 +0000 UTC | 2024-05-22 23:09:50 +0000 UTC |
|               | Kafka      |                |        |             |          |                               |                               |
+---------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/list-stores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
